Subject: 29.1; Gnus hangs on startup fetching new news

From: "Doolittle, Edward" <[email-masked]>
Date: Sat, 21 Oct 2023 21:37:20 +0000

*** E-Mail body has been placed on clipboard, please paste it here! ***

Gnus worked very well for me until I decided to try Gnus Cloud to

synchronize news between two computers.  I set up nnimap to point to my

iCloud mail imap account, started reading mail in Gnus, then set up the

Gnus cloud repository there.  Everything worked as expected.  I quit

Gnus multiple times and restarted and everything worked as expected.

Then I quit emacs and restarted a few hours later, and found that Gnus

would hang on startup while checking for new news.  I removed the nnimap

lines from init.el and restarted emacs, but it still hanged.  I touched

.newsrc and Gnus started.  I conclude that there is a problem with

.newsrc.eld but I don't understand the format well enough to do surgery

on it.  My theory is that maybe there is some kind of security feature on

iCloud mail that is not allowing Gnus access after a time.

For now I'm deactivating nnimap and restoring .newsrc.eld from backup

which should get me back to normal, but I would appreciate any guidance

you may have using Gnus cloud with iCloud.

In GNU Emacs 29.1 (build 1, x86_64-pc-cygwin) of 2023-08-02 built on

fv-az1230-315

Repository revision: 4b30826aa1cffa1961d0b337dd3735a541937792

Repository branch: master

Windowing system distributor 'Microsoft Corp.', version 10.0.19045

Configured using:

'configure

--srcdir=/cygdrive/d/a/scallywag/emacs/emacs-29.1-1.x86_64/src/emacs-29.1

--prefix=/usr --exec-prefix=/usr --localstatedir=/var --sysconfdir=/etc

--docdir=/usr/share/doc/emacs --htmldir=/usr/share/doc/emacs/html -C

--with-w32 'CFLAGS=-ggdb -O2 -pipe -Wall -Werror=format-security

-Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong

--param=ssp-buffer-size=4

-fdebug-prefix-map=/cygdrive/d/a/scallywag/emacs/emacs-29.1-1.x86_64/build=/usr/src/debug/emacs-29.1-1

-fdebug-prefix-map=/cygdrive/d/a/scallywag/emacs/emacs-29.1-1.x86_64/src/emacs-29.1=/usr/src/debug/emacs-29.1-1'

CPPFLAGS= LDFLAGS='

Configured features:

ACL DBUS GIF GLIB GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES

NOTIFY GFILENOTIFY PDUMPER PNG SOUND SQLITE3 THREADS TIFF

TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XIM XPM ZLIB

Important settings:

  locale-coding-system: nil

Major mode: Fundamental

Minor modes in effect:

  pyvenv-mode: t

  electric-cursor-mode: t

  which-key-mode: t

  google-this-mode: t

  delete-selection-mode: t

  TeX-PDF-mode: t

  TeX-source-correlate-mode: t

  server-mode: t

  tooltip-mode: t

  global-eldoc-mode: t

  show-paren-mode: t

  electric-indent-mode: t

  mouse-wheel-mode: t

  tool-bar-mode: t

  menu-bar-mode: t

  file-name-shadow-mode: t

  global-font-lock-mode: t

  line-number-mode: t

  indent-tabs-mode: t

  transient-mark-mode: t

  auto-composition-mode: t

  auto-encryption-mode: t

  auto-compression-mode: t

Load-path shadows:

None found.

Features:

(shadow sort mail-extr emacsbug nndraft nnmh nnrss mm-url nnfolder

network-stream nsm gnus-agent gnus-srvr gnus-score score-mode nnvirtual

gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime smime gnutls dig nntp

gnus-cache gnus-sum shr pixel-fill kinsoku url-file svg dom gnus-group

gnus-undo gnus-start gnus-dbus gnus-cloud nnimap nnmail mail-source utf7

nnoo parse-time iso8601 gnus-spec gnus-int gnus-range message sendmail

yank-media puny dired dired-loaddefs rfc822 mml mml-sec epa derived epg

rfc6068 epg-config mm-decode mm-bodies mm-encode mail-parse rfc2231

rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils mailheader gnus-win gnus

nnheader gnus-util time-date mail-utils range mm-util mail-prsvr

flycheck find-func dash yasnippet highlight-indentation flymake-proc

flymake warnings company-capf company help-fns radix-tree elpy advice

elpy-rpc pyvenv eshell esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg

esh-module esh-groups esh-util elpy-shell elpy-profile elpy-django s

elpy-refactor diff-mode python rx pcase treesit ido hideshow grep

files-x etags fileloop generator xref project cus-edit pp cus-load icons

wid-edit electric-cursor graphviz-dot-mode thingatpt compile

text-property-search comint ansi-osc ansi-color ring which-key cl-extra

help-mode use-package-ensure use-package-core display-line-numbers

google-this easy-mmode crossword cal-menu calendar cal-loaddefs hl-line

sudoku delsel material-theme finder-inf tex dbus xml crm texmathp server

tex-site electric-cursor-autoloads info google-this-autoloads

graphviz-dot-mode-autoloads latex-preview-pane-autoloads

which-key-autoloads package browse-url url url-proxy url-privacy

url-expand url-methods url-history url-cookie generate-lisp-file

url-domsuf url-util mailcap url-handlers url-parse auth-source cl-seq

eieio eieio-core cl-macs password-cache json subr-x map byte-opt gv

bytecomp byte-compile url-vars cl-loaddefs cl-lib rmc iso-transl tooltip

cconv eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type

elisp-mode mwheel disp-table term/w32-win w32-win w32-vars

term/common-win tool-bar dnd fontset image regexp-opt fringe

tabulated-list replace newcomment text-mode lisp-mode prog-mode register

page tab-bar menu-bar rfn-eshadow isearch easymenu timer select

scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors

frame minibuffer nadvice seq simple cl-generic indonesian philippine

cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao

korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech

european ethiopic indian cyrillic chinese composite emoji-zwj charscript

charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure

cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp

files window text-properties overlay sha1 md5 base64 format env

code-pages mule custom widget keymap hashtable-print-readable backquote

threads dbusbind gfilenotify w32 lcms2 multi-tty make-network-process

emacs)

Memory information:

((conses 16 442250 19212)

(symbols 48 31780 1)

(strings 32 150278 3017)

(string-bytes 1 4125043)

(vectors 16 52684)

(vector-slots 8 613282 27629)

(floats 8 305 40)

(intervals 56 405 0)

(buffers 984 16))